

{%- if jekyll.environment != 'production' -%}
<pre>
{{page.status}}: {{jekyll | jsonify}}<button type="button" data-toggle="modal" data-target="#status-warning">Launch modal</button>
</pre>
{%- endif -%}

<div class="modal open-modal fade" id="status-warning" tabindex="-1">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title text-warning">Warning</h5>
        {{page.title}}
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

{%- if page.disabled -%}
<h1 class="text-danger">This articles has been removed !</h1>
<script> document.addEventListener("DOMContentLoaded", function(){ $("#status-warning").modal('show'); }); </script>
{%- endif -%}
{%- if page.status == 'draft' or page.draft -%}
<p class="text-info">CAUTION: this is a draft article, and it is not yet published to {{page.collection}}</p>
{%- if jekyll.environment == 'production' -%}
<script> document.addEventListener("DOMContentLoaded", function(){ $("#status-warning").modal('show'); }); </script>
{%- endif -%}
{%- endif -%}

<pre class="mx-0 bg-white"><code class="text-black-50">
status: {{page.status}}
draft: {{page.draft}}
disabled: {{page.disabled}}
slug: <a href={{page.url}}>{{page.slug | default: page.name}}</a>
blog: <a href={{page.blog.url}}>{{page.blog.menu}}</a>
next: <a href={{page.next.url | replace_first: '/',baseurl }}>{{page.next.title | default: page.slub}}</a>
</code></pre>
      </div>
      <div class="modal-footer">
        {% if page.previous %}
        <a type="button" href="{{page.previous.url | replace_first: '/',baseurl }}" class="btn btn-primary">Previous</a>
        {% endif %}
        {%- assign blog = baseurl | append: 'blog.html' -%}
        <a type="button" href="{{page.blog.url | default: blog }}" class="btn btn-secondary">Close</a>
        {% if page.next %}
        <a type="button" href="{{page.next.url | replace_first: '/',baseurl }}" class="btn btn-primary">Next</a>
        {% endif %}
      </div>
    </div>
  </div>
</div>
